Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510155 - VMs stuck in boot intermittently
Summary: VMs stuck in boot intermittently
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 11.0 (Ocata)
Assignee: Eoghan Glynn
QA Contact: Joe H. Rahme
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 19:44 UTC by Sai Sindhur Malleni
Modified: 2018-01-24 17:03 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-24 17:03:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 491001 None None None 2017-11-21 19:59:33 UTC

Description Sai Sindhur Malleni 2017-11-06 19:44:46 UTC
Description of problem:
VM boot fails, in the logs, we see
2017-11-01 16:58:01.522 127695 WARNING nova.scheduler.utils [req-6d2e7461-fd35-4d7d-9655-f7cd99f074bd a042dcdcf9e84e78a9e96620814b1a4c 508d3035cc2b4c9f9d154302afd03ff2 - - -] [instance: 6fdff2a3-0325-4534-a21f-58b8e562964e] Setting instance to ERROR state.
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager [req-660508e4-dffc-4b57-86a5-c0737cee1d5e a042dcdcf9e84e78a9e96620814b1a4c 508d3035cc2b4c9f9d154302afd03ff2 - - -] Failed to schedule instances
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager Traceback (most recent call last):
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager   File "/usr/lib/python2.7/site-packages/nova/conductor/manager.py", line 868, in schedule_and_build_instances
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager     request_specs[0].to_legacy_filter_properties_dict())
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager   File "/usr/lib/python2.7/site-packages/nova/conductor/manager.py", line 598, in _schedule_instances
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager     context, request_spec, filter_properties)
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager   File "/usr/lib/python2.7/site-packages/nova/objects/request_spec.py", line 258, in from_primitives
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager     spec._populate_group_info(filter_properties)
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager   File "/usr/lib/python2.7/site-packages/nova/objects/request_spec.py", line 199, in _populate_group_info
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager     members = list(filter_properties.get('group_members'))
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager TypeError: 'NoneType' object is not iterable
2017-11-01 16:58:03.187 127668 ERROR nova.conductor.manager


Version-Release number of selected component (if applicable):
OSP 11
Puddle: 2017-10-02.1

How reproducible:
Intermittently

Steps to Reproduce:
1. Boot a VM
2.
3.

Actual results:
VM is stuck in build

Expected results:

VM should boot successfully

Additional info:
Look like this cahnge needs to be backported
https://github.com/openstack/nova/commit/7317afd3201c4f9f21d3f37dab08423dae236b17

Manually patching the code with this seems to solve the issue.

Comment 1 Sahid Ferdjaoui 2017-11-07 07:58:41 UTC
The fix has been backported upstream on stable/ocata [0] and should be available for the next rebase of OSP10 with 15.0.8.

[0] https://review.openstack.org/#/c/491001/


Note You need to log in before you can comment on or make changes to this bug.